Bug 1305943 - Use wordsize = 64 on 64-bit MIPS
Use wordsize = 64 on 64-bit MIPS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libart_lgpl (Show other bugs)
24
mips64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Yaakov Selkowitz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: MIPS
  Show dependency treegraph
 
Reported: 2016-02-09 11:21 EST by Michal Toman
Modified: 2016-08-15 17:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: libart_lgpl-2.3.21-15.fc25 libart_lgpl-2.3.21-15.fc26 libart_lgpl-2.3.21-15.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-15 17:26:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
wordsize-64-on-64-bit-MIPS.patch (1.34 KB, patch)
2016-02-09 11:21 EST, Michal Toman
no flags Details | Diff

  None (edit)
Description Michal Toman 2016-02-09 11:21:08 EST
Created attachment 1122444 [details]
wordsize-64-on-64-bit-MIPS.patch

Description of problem:
We are trying to bring Fedora to MIPS platform and this requires fixing libart_lgpl specfile to use wordsize = 64 on 64-bit MIPS.

Actual results:
wordsize = 32 on 64-bit MIPS

Expected results:
wordsize = 64 on 64-bit MIPS

Additional info:
Attaching dist-git patch
Comment 1 Jan Kurik 2016-02-24 09:27:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora Admin XMLRPC Client 2016-08-04 04:32:36 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Yaakov Selkowitz 2016-08-04 04:57:56 EDT
Fixed in rawhide.  Do you need this in any branches?
Comment 4 Michal Toman 2016-08-05 02:53:09 EDT
I would like at least F25. F24 would be nice but not necessary.
Comment 5 Fedora Update System 2016-08-05 04:27:12 EDT
libart_lgpl-2.3.21-15.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4f67624c5a
Comment 6 Fedora Update System 2016-08-05 17:21:31 EDT
libart_lgpl-2.3.21-15.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4f67624c5a
Comment 7 Fedora Update System 2016-08-15 17:26:22 EDT
libart_lgpl-2.3.21-15.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.